diff deploy/linux/fix-lintian-bits.sh @ 1532:9b59deb4a854

Update these so they work in Docker
author Chris Cannam
date Wed, 11 Jan 2017 14:20:38 +0000
parents 129b679734d0
children
line wrap: on
line diff
--- a/deploy/linux/fix-lintian-bits.sh	Wed Jan 11 09:44:03 2017 +0000
+++ b/deploy/linux/fix-lintian-bits.sh	Wed Jan 11 14:20:38 2017 +0000
@@ -4,6 +4,8 @@
 
 [ -d "$dir" ] || exit 1
 
+set -eu
+
 strip "$dir"/usr/bin/*
 
 sz=`du -sx --exclude DEBIAN "$dir" | awk '{ print $1; }'`
@@ -11,6 +13,6 @@
 
 find "$dir" -name \*~ -exec rm \{\} \;
 
-sudo chown -R root.root "$dir"/*
+chown -R root.root "$dir"/*
 
-sudo chmod -R g-w "$dir"/*
+chmod -R g-w "$dir"/*